> For the complete documentation index, see [llms.txt](https://docs.feast.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feast.dev/v0.23-branch/reference/feature-repository/feature-store-yaml.md).

# feature\_store.yaml

## Overview

`feature_store.yaml` is used to configure a feature store. The file must be located at the root of a [feature repository](/v0.23-branch/reference/feature-repository.md). An example `feature_store.yaml` is shown below:

{% code title="feature\_store.yaml" %}

```yaml
project: loyal_spider
registry: data/registry.db
provider: local
online_store:
    type: sqlite
    path: data/online_store.db
```

{% endcode %}

## Options

The following top-level configuration options exist in the `feature_store.yaml` file.

* **provider** — Configures the environment in which Feast will deploy and operate.
* **registry** — Configures the location of the feature registry.
* **online\_store** — Configures the online store.
* **offline\_store** — Configures the offline store.
* **project** — Defines a namespace for the entire feature store. Can be used to isolate multiple deployments in a single installation of Feast. Should only contain letters, numbers, and underscores.
* **engine** - Configures the batch materialization engine.

Please see the [RepoConfig](https://rtd.feast.dev/en/latest/#feast.repo_config.RepoConfig) API reference for the full list of configuration options.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feast.dev/v0.23-branch/reference/feature-repository/feature-store-yaml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
